<!-- <ion-header>
  <div class="row-cont">
    <div class="img-cont" [routerLink]="['/tabs/setting']">
      <img src="../../assets/newicons/proximax-siriusid-btn-go-back-blue-h60.svg" class="icon">
    </div>
    <h1 class="title">Settings</h1>
    <h1 class="sec-title">/ SiriusID</h1>
  </div>
</ion-header> -->

<app-superheader [title]="'Settings'" [subtitle]="'SiriusID'" [back]="true"></app-superheader>

<ion-content>
  <div class="container">
    <!-- <p class="header-list">
      <span>Address: </span>
      <a [href]="urlExplorer" class="text">{{ address }}</a>
    </p> -->
  </div>

  <div class="container">
    <!-- <ion-list-header>
      <div id="text">DID</div>
    </ion-list-header>
    <ion-list lines="full" inset="false">
      <ngx-json-viewer *ngIf="flag" [json]="didDocument"></ngx-json-viewer>
      <ngx-json-viewer *ngIf="!flag" [json]="didDocument"></ngx-json-viewer>
    </ion-list>  -->
    
    <div class="sub-cont">
      <h4 class="input-title">DID</h4>
      <ion-input readonly="true" ><p>{{didDocument.id}}</p></ion-input>
      <h4 class="input-title">Name</h4>
      <ion-input placeholder="Name" readonly="true" [(ngModel)]="storedInfo.name"></ion-input>
      <h4 class="input-title">E-Mail</h4>
      <ion-input placeholder="E-Mail" readonly="true" [(ngModel)]="storedInfo.email"></ion-input>
      <h4 class="input-title">Phone Number</h4>
      <ion-input placeholder="Phone Number" readonly="true" [(ngModel)]="storedInfo.phoneNumber"></ion-input>
    </div>
    <!--
    <div class="btn-cont">
      <button class="btn" (click)="addBtn()">Add Address</button>
      <button class="btn" (click)="copyBtn()" *ngIf="!copied">Copy</button>
      <button class="btn" *ngIf="copied">Copied</button>
    </div> -->
  </div>
</ion-content>

